tigase.server.bosh

## Interface BoshSessionTaskHandler

- All Known Implementing Classes:
    BoshConnectionClustered, BoshConnectionManager

      public interface BoshSessionTaskHandler

  Describe interface BoshSessionTaskHandler here. Created: Sat Aug 4 10:39:21 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addOutStreamClosed(Packet packet, BoshSession bs)`
    `boolean` | `addOutStreamOpen(Packet packet, BoshSession bs)`
    `void` | `cancelSendQueueTask(BoshSendQueueTask bt)`
    `void` | `cancelTask(BoshTask bs)`
    `tigase.xmpp.BareJID` | `getDefHostName()`
    `tigase.xmpp.BareJID` | `getSeeOtherHostForJID(tigase.xmpp.BareJID userId, SeeOtherHostIfc.Phase ph)`
    `BoshSendQueueTask` | `scheduleSendQueueTask(BoshSession tt, long delay)`
    `BoshTask` | `scheduleTask(BoshSession bs, long delay)`
    `void` | `writeRawData(BoshIOService ios, String data)`

- - ### Method Detail

    - #### scheduleTask

          BoshTask scheduleTask(BoshSession bs,
                              long delay)

    - #### scheduleSendQueueTask

          BoshSendQueueTask scheduleSendQueueTask(BoshSession tt,
                                                long delay)

    - #### cancelTask

          void cancelTask(BoshTask bs)

    - #### cancelSendQueueTask

          void cancelSendQueueTask(BoshSendQueueTask bt)

    - #### writeRawData

          void writeRawData(BoshIOService ios,
                          String data)

    - #### addOutStreamOpen

          boolean addOutStreamOpen(Packet packet,
                                 BoshSession bs)

    - #### addOutStreamClosed

          boolean addOutStreamClosed(Packet packet,
                                   BoshSession bs)

    - #### getDefHostName

          tigase.xmpp.BareJID getDefHostName()

    - #### getSeeOtherHostForJID

          tigase.xmpp.BareJID getSeeOtherHostForJID(tigase.xmpp.BareJID userId,
                                                  SeeOtherHostIfc.Phase ph)

Copyright © 2014 "Tigase, Inc.". All rights reserved.